> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get portfolio summary

> Retrieves the high level overview of a portfolio.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
    GetPortfolioSummaryRequest request = new GetPortfolioSummaryRequest.Builder()
        .portfolio("portfolio_id")
        .build();
    GetPortfolioSummaryResponse response = portfoliosService.getPortfolioSummary(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var portfoliosService = new PortfoliosService(client);
    var request = new GetPortfolioSummaryRequest(
        Portfolio: "portfolio_id",
    );
    var response = portfoliosService.GetPortfolioSummary(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    portfoliosSvc := portfolios.NewPortfoliosService(client)
    request := &portfolios.GetPortfolioSummaryRequest{
        Portfolio: "portfolio_id",
    }
    response, err := portfoliosSvc.GetPortfolioSummary(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = GetPortfolioSummaryRequest(
        portfolio="portfolio_id",
    )
    response = client.get_portfolio_summary(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const portfoliosService = new PortfoliosService(client);

    portfoliosService.getPortfolioSummary({
        portfolio: 'PORTFOLIO_ID_HERE',
    }).then(async (response) => {
        console.log('Portfolio Summary: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl get-portfolio-summary --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/portfolios/{portfolio}/summary
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/portfolios/{portfolio}/summary:
    get:
      tags:
        - Portfolios
      summary: Get portfolio summary
      description: Retrieves the high level overview of a portfolio.
      operationId: getPortfolioSummary
      parameters:
        - name: portfolio
          in: path
          description: >-
            Identifies the portfolio by UUID (e.g.,
            `892e8c7c-e979-4cad-b61b-55a197932cf1`) or portfolio ID (e.g.,
            `5189861793641175`)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Portfolio information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortfolioSummary_v1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    PortfolioSummary_v1:
      type: object
      properties:
        collateral:
          description: The total collateral value in USDC for the portfolio
          type: string
          example: 14750.53
        unrealized_pnl:
          description: >-
            The profit or loss of all open positions (resets to 0 after
            settlement)
          type: string
          example: 2953.01
        unrealized_pnl_percent:
          description: >-
            The profit or loss percentage of all open positions (resets to 0
            after settlement)
          type: string
          example: 0
        position_notional:
          description: The position value in USDC of all positions
          type: string
          example: 1050.32
        open_position_notional:
          description: The notional value of all open orders and positions
          type: string
          example: 3010.02
        pending_fees:
          description: Accrued fees that haven't been paid yet
          type: string
          example: 120.31
        borrow:
          description: >-
            Total borrow amount in USDC (nets the USDC balance, position PNL,
            held USDC, accrued interest and rolling debt)
          type: string
          example: 4111.32
        accrued_interest:
          description: Interest charged for borrowed USDC balances
          type: string
          example: 10.02
        rolling_debt:
          description: Amount of settled transactions that haven't been paid
          type: string
          example: 311.02
        balance:
          description: >-
            The net balance available in the portfolio (collateral +
            unrealized_pnl - pending_fees - accrued_interest - rolling_debt)
          type: string
          example: 15751.6
        buying_power:
          description: >-
            The amount of buying power available in the portfolio (balance -
            (open_position_notional * portfolio_initial_margin))
          type: string
          example: 14964.02
        portfolio_initial_margin:
          description: >-
            The weighted average of all the position's initial margin
            utilization
          type: number
          format: double
          example: 0.05
        portfolio_current_margin:
          description: The current margin level of the portfolio
          type: number
          format: double
          example: 0.05
        portfolio_maintenance_margin:
          description: The maintenance margin of the portfolio
          type: number
          format: double
          example: 0.033
        portfolio_close_out_margin:
          description: The close out margin of the portfolio
          type: number
          format: double
          example: 0.01665
        in_liquidation:
          description: Indicates whether the portfolio is in process of liquidation
          type: boolean
        portfolio_initial_margin_notional:
          description: The notional initial margin of the portfolio
          type: number
          format: double
          example: 1571.5345
        portfolio_current_margin_notional:
          description: The notional current margin level of the portfolio
          type: number
          format: double
          example: 1571.5345
        portfolio_maintenance_margin_notional:
          description: The notional maintenance margin of the portfolio
          type: number
          format: double
          example: 1023.3081
        portfolio_close_out_margin_notional:
          description: The notional close out margin of the portfolio
          type: number
          format: double
          example: 482.6651
        margin_override:
          description: >-
            The margin override value for the portfolio, indicating notional
            requirement to hold futures positions
          type: number
          format: double
          example: 0.2
        lock_up_initial_margin:
          description: >-
            The effective margin requirement value for the portfolio
            `(max(portfolio_initial_margin, margin_override))`
          type: number
          format: double
          example: 0.3
        loan_collateral_requirement:
          type: string
          example: 0
        position_offset_notional:
          description: The notional value of margin relief provided by position offsets
          type: number
          format: double
          example: 3010.02
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````